<?php
defined('BASEPATH') OR exit('No direct script access allowed');

class MY_Controller extends CI_Controller 
{

	public function __construct()
	{
		parent::__construct();
		
		$this->load->model('products_model');
		$this->load->model('ekstrasayfalar_model');

		$this->urunler_footer = $this->products_model->get_all
        (
            array
            (
               "isActive"   => 1
            ), "rank ASC"
        );

        $this->hizmetler_footer = $this->ekstrasayfalar_model->get_all
        (
            array
            (
                "icerikkodu" => "hizmetler",
                "isActive"   => 1
            ), "rank ASC"
        );


        /*$this->load->model('doviz_model');
        $this->kurlar = $this->doviz_model->get(array("id" => 1));


       $this->load->library('Doviz');

        $this->dolar_efektif_alis   = $this->doviz->kurAlis('USD', \Doviz::TYPE_EFEKTIFALIS);
        $this->euro_efektif_alis    = $this->doviz->kurAlis('EUR', \Doviz::TYPE_EFEKTIFALIS);
        $this->dolar_efektif_satis  = $this->doviz->kurSatis('USD', \Doviz::TYPE_EFEKTIFSATIS);
        $this->euro_efektif_satis   = $this->doviz->kurSatis('EUR', \Doviz::TYPE_EFEKTIFSATIS);


        if (!empty($this->dolar_efektif_alis))
        {
            $this->load->model('doviz_model');
            $this->doviz_model->update
            (
                array("id" => 1),
                array(
                    "dolar_efektif_alis" => $this->dolar_efektif_alis,
                    "euro_efektif_alis" => $this->euro_efektif_alis,
                    "dolar_efektif_satis" => $this->dolar_efektif_satis,
                    "euro_efektif_satis" => $this->euro_efektif_satis
                )
            );
        }*/

	}
		
}